<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: NmeaGps.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_nmea_gps_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NmeaGps.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_nmea_gps_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef NMEAGPS_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define NMEAGPS_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;nmea/nmea.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">class </span>GeoCoordinate;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">class </span>GpsData;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  }</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">class </span>DataPlot1D;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keyword">class </span>PushButton;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">class </span>Map;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">class </span>Label;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">class </span>GroupBox;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  }</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;}</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_nmea_gps.html">   45</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">NmeaGps</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967">   51</a></span>&#160;  <span class="keyword">enum</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967">NMEAFlags_t</a> {</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07">   52</a></span>&#160;    <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07">GGA</a> = 0x01, </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0">   53</a></span>&#160;    <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0">VTG</a> = 0x02, </div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e">   54</a></span>&#160;    <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e">GST</a> = 0x04, </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967aa3a3fce7d02f861fb7a29d67e4bf8159">   55</a></span>&#160;    <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967aa3a3fce7d02f861fb7a29d67e4bf8159">GSA</a> = 0x08, </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  };</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93">NmeaGps</a>(std::string name,</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;      <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967">NMEAFlags_t</a> NMEAFlags);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93">NmeaGps</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, std::string name);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9">~NmeaGps</a>();</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html">core::GpsData</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0">GetDatas</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a0198e8b7960279c1322492ca7a711920">EPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086">NPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c">UPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa">VEPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0aa37ed1f045aa5096e16f9a773e318">VNPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9">GetTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6">GetPlotTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e">SetRef</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8">parseFrame</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *frame, <span class="keywordtype">int</span> frame_size);</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967">NMEAFlags_t</a> NMEAFlags;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0">GetDatas</a>(<a class="code" href="classflair_1_1core_1_1_gps_data.html">core::GpsData</a> **gpsData) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *<a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html#aee8aa01e58039b23baddea8601fda551">GetGroupBox</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *mainTab, *sensorTab;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *setupGroupbox;</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_push_button.html">gui::PushButton</a> *buttonRef;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *ePlot;</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *nPlot;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *uPlot;</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *vePlot;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *vnPlot;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *plotTab;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_map.html">gui::Map</a> *map;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_label.html">gui::Label</a> *nbSatLabel, *fixLabel;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;  <a class="code" href="classflair_1_1core_1_1_geo_coordinate.html">core::GeoCoordinate</a> *position;</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;  <span class="keywordtype">bool</span> takeRef;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;  nmeaINFO info;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;  nmeaPARSER parser;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  nmeaGPGGA pack;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;  nmeaPOS pos;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;  <span class="keywordtype">double</span> latRef, longRef, altRef;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;  <a class="code" href="classflair_1_1core_1_1_gps_data.html">core::GpsData</a>* gpsData;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;};</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;<span class="preprocessor">#endif // NMEAGPS_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_aee8aa01e58039b23baddea8601fda551"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#aee8aa01e58039b23baddea8601fda551">flair::sensor::NmeaGps::GetGroupBox</a></div><div class="ttdeci">gui::GroupBox * GetGroupBox(void) const </div><div class="ttdoc">Setup GroupBox. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></div><div class="ttdoc">Class defining gps datas. </div><div class="ttdef"><b>Definition:</b> GpsData.h:30</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_group_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_group_box.html">flair::gui::GroupBox</a></div><div class="ttdoc">Class displaying a QGroupBox on the ground station. </div><div class="ttdef"><b>Definition:</b> GroupBox.h:27</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a1f24594765a867468a1ed5554d175086"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086">flair::sensor::NmeaGps::NPlot</a></div><div class="ttdeci">gui::DataPlot1D * NPlot(void) const </div><div class="ttdoc">North plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_abb50fae524addf6b3982ae166e14ae93"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93">flair::sensor::NmeaGps::NmeaGps</a></div><div class="ttdeci">NmeaGps(std::string name, NMEAFlags_t NMEAFlags)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07">flair::sensor::NmeaGps::GGA</a></div><div class="ttdef"><b>Definition:</b> NmeaGps.h:52</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_add3819e87a4f7c824c0f0c2aa6e5f8e0"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0">flair::sensor::NmeaGps::GetDatas</a></div><div class="ttdeci">const core::GpsData * GetDatas(void) const </div><div class="ttdoc">Get GPS datas. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a44e58183084b612c803963c2c75958e8"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8">flair::sensor::NmeaGps::parseFrame</a></div><div class="ttdeci">void parseFrame(const char *frame, int frame_size)</div><div class="ttdoc">Parse a NMEA frame. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_af0d7d39483f1e76e5dda4cb10dc8a967aa3a3fce7d02f861fb7a29d67e4bf8159"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967aa3a3fce7d02f861fb7a29d67e4bf8159">flair::sensor::NmeaGps::GSA</a></div><div class="ttdef"><b>Definition:</b> NmeaGps.h:55</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a3b16dd874f0832595fe0cc874ac08d95"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95">flair::sensor::NmeaGps::GetLayout</a></div><div class="ttdeci">gui::Layout * GetLayout(void) const </div><div class="ttdoc">Setup Layout. </div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a135e080ecff933da9b60cc6e613b543e"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e">flair::sensor::NmeaGps::SetRef</a></div><div class="ttdeci">void SetRef(void)</div><div class="ttdoc">Set reference for ENU coordinates. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html">flair::sensor::NmeaGps</a></div><div class="ttdoc">Base class for GPS using NMEA sentances. </div><div class="ttdef"><b>Definition:</b> NmeaGps.h:45</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_push_button_html"><div class="ttname"><a href="classflair_1_1gui_1_1_push_button.html">flair::gui::PushButton</a></div><div class="ttdoc">Class displaying a QPushButton on the ground station. </div><div class="ttdef"><b>Definition:</b> PushButton.h:28</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a6885e7aeac1b20a7972fc05be99794fa"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa">flair::sensor::NmeaGps::VEPlot</a></div><div class="ttdeci">gui::DataPlot1D * VEPlot(void) const </div><div class="ttdoc">East velocity plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_af0d7d39483f1e76e5dda4cb10dc8a967"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967">flair::sensor::NmeaGps::NMEAFlags_t</a></div><div class="ttdeci">NMEAFlags_t</div><div class="ttdoc">NMEA flags. </div><div class="ttdef"><b>Definition:</b> NmeaGps.h:51</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0">flair::sensor::NmeaGps::VTG</a></div><div class="ttdef"><b>Definition:</b> NmeaGps.h:53</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_label_html"><div class="ttname"><a href="classflair_1_1gui_1_1_label.html">flair::gui::Label</a></div><div class="ttdoc">Class displaying a QLabel on the ground station. </div><div class="ttdef"><b>Definition:</b> Label.h:28</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_af0aa37ed1f045aa5096e16f9a773e318"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#af0aa37ed1f045aa5096e16f9a773e318">flair::sensor::NmeaGps::VNPlot</a></div><div class="ttdeci">gui::DataPlot1D * VNPlot(void) const </div><div class="ttdoc">North velocity plot. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a6102de13ed1ba414bf058235416580e9"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9">flair::sensor::NmeaGps::~NmeaGps</a></div><div class="ttdeci">~NmeaGps()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_map_html"><div class="ttname"><a href="classflair_1_1gui_1_1_map.html">flair::gui::Map</a></div><div class="ttdoc">Class displaying a GPS map on the ground station. </div><div class="ttdef"><b>Definition:</b> Map.h:33</div></div>
<div class="ttc" id="classflair_1_1core_1_1_geo_coordinate_html"><div class="ttname"><a href="classflair_1_1core_1_1_geo_coordinate.html">flair::core::GeoCoordinate</a></div><div class="ttdoc">Class defining a point by its lla coordinates. </div><div class="ttdef"><b>Definition:</b> GeoCoordinate.h:24</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a21d740a42cf087ef0e78421ce0baae48"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48">flair::sensor::NmeaGps::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e">flair::sensor::NmeaGps::GST</a></div><div class="ttdef"><b>Definition:</b> NmeaGps.h:54</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a32343c4f381f77c03df4602879a2001c"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c">flair::sensor::NmeaGps::UPlot</a></div><div class="ttdeci">gui::DataPlot1D * UPlot(void) const </div><div class="ttdoc">Up plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_a0198e8b7960279c1322492ca7a711920"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#a0198e8b7960279c1322492ca7a711920">flair::sensor::NmeaGps::EPlot</a></div><div class="ttdeci">gui::DataPlot1D * EPlot(void) const </div><div class="ttdoc">East plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_aa3121a4fe4c47fdc2fb1115c263801d6"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6">flair::sensor::NmeaGps::GetPlotTab</a></div><div class="ttdeci">gui::Tab * GetPlotTab(void) const </div><div class="ttdoc">Plot tab. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot1_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot1_d.html">flair::gui::DataPlot1D</a></div><div class="ttdoc">Class displaying a 1D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot1D.h:33</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html_ad25ede505f9bed9afaf06fa39d9871f9"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9">flair::sensor::NmeaGps::GetTab</a></div><div class="ttdeci">gui::TabWidget * GetTab(void) const </div><div class="ttdoc">Main tab. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_nmea_gps_8h.html">NmeaGps.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
